/**
 * [OElove] (C)2010-2099 OElove.com
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 *  Last update 2020/11/11 by OE 
*/
$(function(){
    function MsgContact () {
        this.del();
    }
    MsgContact.prototype = {
        del: function () {
            //删除...
            $("[f='del']").on("click", function(){
                var id = $(this).attr("data-id");
                OEUI.modal.info({
                    title: "温馨提示",
                    text: "确定要删除吗？",
                    confirm: function () {
                        $.ajax({
                            type: "POST",
                            url: _OE_FILE + "&c=msgcontact",
                            data: {
                                a:"remove", id:id, datatype:"json"
                            },
                            success: function(data) {
                                var res = JSON.parse(data);
                                if (res.response == "1") {
                                    OEUI.message.msg({text: "删除成功"});
                                    setTimeout(function () {
                                        location.reload();
                                    }, 800);
                                }
                                else {
                                    if (res.result.length > 0) {
                                        OEUI.message.msg({text: res.result})
                                    }
                                    else {
                                        OEUI.message.msg({text: "系统繁忙，请稍后再试"});
                                    }
                                }
                            },
                            error: function() {
                                OEUI.message.msg({text: "系统繁忙，请稍后再试"});
                            }
                        });
                    }
                });
            });
        }
    };
    new MsgContact();
});
